TVGuide und VDR-2.4.0+

  • Hallo Louis,


    Danke für das Angebot.

    Ich habe Dir mal eine PN dazu geschickt.


    Grüsse

    kamel5

    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

  • Was kann ich den tun, damit der TVguide die Prorgammdaten besser aktualisiert ?

    Bei einigen Sendern ist nur die nächste Sendung angegeben, bei anderen gar nichts..

    Das hat mit dem Plugin erst einmal nichts zu tun, da hier nur die vom VDR bereitgestellten Programminformationen angezeigt werden.

    Du müsstest mal schauen, ob die VDR-eigene Programmanzeige (grüne Taste), die gewünschten Daten anzeigt. Erst wenn da alle Daten da sind, kann auch der TVGuide diese anzeigen.


    Gruß

    kamel5

    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

  • Hallo,


    neue Version 1.2.8:


    - Some refactoring

    - Update i18n

    - Add almost all search timer options to cRecMenuSearchTimerEdit,

    only one is missing: "Use content descriptor"

    (Create and modify of channelgroups and blacklists isn't possible,

    because the epgsearch service interface doesn't support that,

    should be done in epgsearch)


    Link dazu im ersten Post.


    Gruß

    kamel5

    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

  • Option “--logodir=<LOGODIR> “ funktioniert nicht.

    Das dürfte schon lange nicht mehr funktioniert haben, vielleicht auch noch nie.

    Laut Code gibt es diese Optionen:

    --epgimages

    --iconpath

    --logopath

    In der Hilfe steht es allerdings falsch, ich werde das da mal mit anpassen.


    Grüsse

    kamel5

    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

    The post was edited 1 time, last by kamel5 ().

  • Hallo,


    neue Version 1.2.9:


    - Correct plugin options in README and CommandLineHelp

    - Change locking in cTVGuideSearchTimer::cTVGuideSearchTimer

    - Fixed a dayOfWeek error in RecMenuSearchTimerEdit


    Link dazu im ersten Post.


    Gruß

    kamel5

    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

  • Hallo,


    neue Version 1.2.10:


    - Update remotetimers.h

    - Simplify cRecMenuSearchTimerEdit::GetSearchTimer

    - Fixed cRecMenuItemSelectDirectory::DrawValue

    - Some rework


    Link dazu im ersten Post.


    Gruß

    kamel5

    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

  • Hi,


    wenn ich unter arch von umstelle von:

    Code
    1. build() {
    2. cd "$srcdir/$_plugname-v$pkgver"
    3. #make IMAGELIB=graphicsmagick
    4. make IMAGELIB=imagemagick

    kommt das:

    Da es mit graphicsmagick (Version) aktuell unter arch nicht läuft wollte ich umstellen. Den scraper2vdr konnte ich problemlos bauen.


    Alte Version, läuft: graphicsmagick-1.3.31-3-x86_64.pkg.tar.xz

    Neue Version, läuft nicht: graphicsmagick-1.3.33-1-x86_64.pkg.tar.xz

    Gruß utiltiy



    VDR Projekte VDR Projects

  • Wie gesagt seit 1.3.32 startet der VDR nicht mehr bei mir. Hab jetzt weiter nicht gesucht woran es hakt bei der Version. Dennoch sollte sich das Plugin doch bauen lassen mit imagemagick, theoretisch.

    Gruß utiltiy



    VDR Projekte VDR Projects

  • utiltiy ,


    was nutzt Du denn für eine Version von imagemagick?


    Ich habe gerade nochmal probiert, ob es hier compiliert. Ich nutze imagemagick 6.9.10.28 und da gibt es keine Fehler beim Übersetzen.


    Es ist leider so, das es mit graphicsmagick in der aktuellen Version Probleme gibt. Bis zur Version 1.3.31 geht es noch.

    Ich hatte leider noch keine Zeit, mir das anzuschauen.

    Wenn da jemand einen Patch hat, nehme ich den gern mit auf.


    kamel5


    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

  • Diese: imagemagick-7.0.8.63-1-x86_64.pkg.tar.xz

    Gruß utiltiy



    VDR Projekte VDR Projects

  • Ich habe gerade gesehen, das da wohl auch andere VDR-Plugins Probleme mit imagemagick-7 haben und es da noch keine Lösung gibt.


    Es sieht also im Moment so aus, das es z.Z. nur mit imagemagick-6 oder graphicsmagick bis 1.3.31 läuft.

    VDR 2.4.1: ASUS M5A97 PRO, FX6100, 16GB, 2TB HD, GT630, Fedora 30 Kernel 5.3 X86_64, Devicebonding 2 x 1 auf 2, TT6400, DVBSky S952 V3

  • Das erklärt natürlich einiges, aber warum man die Bezeichnungen ändert erschließt sich mir nicht....

    Gruß utiltiy



    VDR Projekte VDR Projects